Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class WorkbenchPartDescirptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartDescriptor
          org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartDescirptor

All Implemented Interfaces:
  IWorkbenchPartDescriptor

Deprecated. use org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartDescriptor

public class WorkbenchPartDescirptor
extends WorkbenchPartDescriptor

A standard implementation of `IWorkbenchPartDescriptor` interface

Constructor Summary
`WorkbenchPartDescirptor(java.lang.String partId, java.lang.Class partClass, IWorkbenchPage partPage)` Deprecated.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartDescriptor
`equals, getPartClass, getPartId, getPartPage, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchPartDescirptor

    public WorkbenchPartDescirptor(java.lang.String partId,
                                   java.lang.Class partClass,
                                   IWorkbenchPage partPage)

  Deprecated.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.